Subject: bug#28073: closed (Re: 26.0.50; make-temp-file fails when argument is "" (Permission denied))

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 13 Aug 2017 07:27:02 +0000

Your bug report

#28073: 26.0.50; make-temp-file fails when argument is "" (Permission denied)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28073: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28073
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 26.0.50; make-temp-file fails when argument is "" (Permission denied)
From: Paul Eggert <[email-masked]>
To: Benjamin Andresen <[email-masked]>
Cc: [email-masked]
Date: Sun, 13 Aug 2017 00:26:15 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Yes, I introduced that bug in make-temp-file recently. Sorry about that. It 
should be fixed in master now:

http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=ebf53ed4f6469d24c3a76835eab014d82aed551c

Subject: 26.0.50; make-temp-file fails when argument is "" (Permission denied)
From: Benjamin Andresen <[email-masked]>
To: [email-masked]
Date: Sun, 13 Aug 2017 04:21:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed this when using password-store.el[1] which I use to look 
up
passwords using pass[2]

The file hasn't been updated since 2015 and I know it's been 
working so
I assume a recent change caused this.
Merely putting "x" instead of "" as the argument works fine.

[1] https://git.zx2c4.com/password-store/tree/contrib/emacs
[2] https://www.passwordstore.org/

Steps to reproduce

Starting from emacs -Q:
M-: (make-temp-file "")
;; Debugger entered--Lisp error: (file-error "Creating file with 
   prefix" "Permission denied" "/tmp")
;;   make-temp-file-internal("/tmp" nil "")
;;   make-temp-file("")
;;   eval((make-temp-file "") nil)
;;   eval-expression((make-temp-file "") nil nil 127)

In GNU Emacs 26.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 
3.22.18)
 of 2017-08-13 built on agro
Repository revision: a6ad98ad66e1d0c0dac5f25ba91e11d0cf9da725
Windowing system distributor 'The X.Org Foundation', version 
11.0.11903000
System Description:	Arch Linux

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Entering debugger...
Back to top level

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --mandir=/usr/share/man 
 --with-gameuser=:games
 --with-sound=alsa --with-xft --with-modules --with-x-toolkit=gtk3
 --without-gconf --without-gsettings --without-gpm 
 --without-m17n-flt
 --with-xwidgets --without-compress-install 'CFLAGS=-march=x86-64
 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt'
 CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS NOTIFY ACL 
GNUTLS
LIBXML2 FREETYPE LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 
MODULES
XWIDGETS LIBSYSTEMD

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message subr-x puny seq dired
dired-loaddefs format-spec rfc822 mml mml-sec password-cache epa 
derived
epg epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader 
sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils help-mode
easymenu cl-print byte-opt gv bytecomp byte-compile cl-loaddefs 
cl-lib
cconv debug time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang 
misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms 
cp51932
hebrew greek romanian slovak czech european ethiopic indian 
cyrillic
chinese composite charscript charprop case-table epa-hook 
jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice 
loaddefs
button faces cus-face macroexp files text-properties overlay sha1 
md5
base64 format env code-pages mule custom widget 
hashtable-print-readable
backquote dbusbind inotify dynamic-setting font-render-setting
xwidget-internal move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 96356 5925)
 (symbols 48 20459 1)
 (miscs 40 48 104)
 (strings 32 29164 1340)
 (string-bytes 1 770963)
 (vectors 16 14155)
 (vector-slots 8 491071 8271)
 (floats 8 51 65)
 (intervals 56 237 0)
 (buffers 992 12))

-- 
Best regards,
Benny
                                0x9EC76EA52B8F32A1
6315 887D 6E46 6967 7AC0  3E76 9EC7 6EA5 2B8F 32A1